
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following cleanups:
- make a needlessly global function static
- remove the unneeded global function irport_probe

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/irda/irport.c |   15 +--------------
 1 files changed, 1 insertion(+), 14 deletions(-)

diff -puN drivers/net/irda/irport.c~drivers-net-irda-irportc-cleanups drivers/net/irda/irport.c
--- devel/drivers/net/irda/irport.c~drivers-net-irda-irportc-cleanups	2005-09-09 23:16:42.000000000 -0700
+++ devel-akpm/drivers/net/irda/irport.c	2005-09-09 23:16:42.000000000 -0700
@@ -286,19 +286,6 @@ static void irport_start(struct irport_c
 }
 
 /*
- * Function irport_probe (void)
- *
- *    Start IO port 
- *
- */
-int irport_probe(int iobase)
-{
-	IRDA_DEBUG(4, "%s(), iobase=%#x\n", __FUNCTION__, iobase);
-
-	return 0;
-}
-
-/*
  * Function irport_get_fcr (speed)
  *
  *    Compute value of fcr
@@ -383,7 +370,7 @@ static void irport_change_speed(void *pr
  *    we cannot use schedule_timeout() when we are in interrupt context
  *
  */
-int __irport_change_speed(struct irda_task *task)
+static int __irport_change_speed(struct irda_task *task)
 {
 	struct irport_cb *self;
 	__u32 speed = (__u32) task->param;
_
